%define module_name Filesys-Restrict
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(Test/Exception.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(X/Tiny.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt2
Summary: Restrict filesystem access
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FELIPE/%{module_name}-%{version}.tar.gz

%description
This module is a reasonable-best-effort at preventing Perl code from
accessing files you don.e't want to allow. One potential application of
this is to restrict filesystem access to /tmp in tests.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_archlib/F*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.05-alt2
- rebuild with perl 5.38

* Mon Jan 02 2023 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- updated by package builder

* Wed Dec 28 2022 Igor Vlasenko <viy@altlinux.org> 0.04-alt1
- initial import by package builder

